package cz.moneta.test.dsl.ufo.banka.pages.products.sme;

import cz.moneta.test.dsl.ufo.banka.pages.common.pages.OBR001_S001_PrintInstructionPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.PSP004_S001_PrintPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.PSP012_S001_PrintPage;
import cz.moneta.test.harness.support.web.WebFlow;

public interface KUL071_S001_RequestForSMEPageTransitions extends WebFlow<KUL071_S001_RequestForSMEPageTransitions> {
    PSP004_S001_PrintPage onPrintPagePSP004();

    PSP012_S001_PrintPage onPrintPagePSP012();

    CHK001_S001_WaitingForModulationPage onWaitingForModulationPage();

    OBR001_S001_PrintInstructionPage onPrintInstructionPage();
}
